%global unique_name eu.tiliado.WebRuntime

Name:           nuvola-app-logitech-media-server
Version:        2.2
Release:        5%{?dist}
Summary:        Logitech Media Server for Nuvola Player 3
License:        BSD
URL:            https://github.com/tiliado/nuvola-app-logitech-media-server
Source0:        https://github.com/tiliado/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        %{name}.metainfo.xml

BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  nuvolasdk >= 4.11.0
BuildRequires:  python3-six
Requires:       hicolor-icon-theme
Requires:       %{_bindir}/nuvola

BuildArch:      noarch


%description
Integration of Logitech Media Server into your Linux desktop via Nuvola Player.

%prep
%setup -q

%build
%configure
%make_build


%install
%make_install

# Register as an application to be visible in the software center
mkdir -p %{buildroot}%{_datadir}/appdata
cp  %{SOURCE1} %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%check
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/appdata/%{name}.metainfo.xml

%files
%doc CHANGELOG.md README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{unique_name}AppLogitechMediaServer.desktop
%{_datadir}/appdata/%{name}.metainfo.xml
%{_datadir}/metainfo/%{name}.metainfo.xml
%{_datadir}/icons/*/*/*/%{unique_name}AppLogitechMediaServer.*
%dir %{_datadir}/nuvolaruntime/web_apps
%{_datadir}/nuvolaruntime/web_apps/logitech_media_server/
%{_datadir}/dbus-1/services/%{unique_name}AppLogitechMediaServer.service


%changelog
* Thu May 10 2018 Martin Gansser <martinkg@fedoraproject.org> - 2.2-5
- Rebuilt for new nuvolaruntime-4.11.0 and nuvolasdk-4.11.0

* Thu Feb 08 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 2.2-3
- Remove obsolete scriptlets

* Thu Aug 24 2017 Martin Gansser <martinkg@fedoraproject.org> - 2.2-2
- use the %%configure macro
- DESTDIR=%%{buildroot} is not needed after %%make_install
- fix typo
- Use correct Source0

* Fri Jul 28 2017 Martin Gansser <martinkg@fedoraproject.org> - 2.2-1
- initial build
